package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Current Site Switch List
 */
@ApiModel(description = "Current Site Switch List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class DeviceTrafficDistribution   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("traffic")
  private Double traffic;

  @JsonProperty("trafficProportion")
  private Double trafficProportion;

  public DeviceTrafficDistribution name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device Name
   * @return name
  */
  @ApiModelProperty(value = "Device Name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public DeviceTrafficDistribution mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public DeviceTrafficDistribution traffic(Double traffic) {
    this.traffic = traffic;
    return this;
  }

  /**
   * Device traffic measured in MB
   * @return traffic
  */
  @ApiModelProperty(value = "Device traffic measured in MB")


  public Double getTraffic() {
    return traffic;
  }

  public void setTraffic(Double traffic) {
    this.traffic = traffic;
  }

  public DeviceTrafficDistribution trafficProportion(Double trafficProportion) {
    this.trafficProportion = trafficProportion;
    return this;
  }

  /**
   * The proportion of AP traffic in percentage
   * @return trafficProportion
  */
  @ApiModelProperty(value = "The proportion of AP traffic in percentage")


  public Double getTrafficProportion() {
    return trafficProportion;
  }

  public void setTrafficProportion(Double trafficProportion) {
    this.trafficProportion = trafficProportion;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceTrafficDistribution deviceTrafficDistribution = (DeviceTrafficDistribution) o;
    return Objects.equals(this.name, deviceTrafficDistribution.name) &&
        Objects.equals(this.mac, deviceTrafficDistribution.mac) &&
        Objects.equals(this.traffic, deviceTrafficDistribution.traffic) &&
        Objects.equals(this.trafficProportion, deviceTrafficDistribution.trafficProportion);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, traffic, trafficProportion);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceTrafficDistribution {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    traffic: ").append(toIndentedString(traffic)).append("\n");
    sb.append("    trafficProportion: ").append(toIndentedString(trafficProportion)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

